Skip to main content
POST
/
core-services
/
v1
/
campaign-stats
curl --request POST \ --url https://api-0{dc}.moengage.com/core-services/v1/campaign-stats \ --header 'Authorization: Basic <encoded-value>' \ --header 'Content-Type: application/json' \ --header 'MOE-APPKEY: <moe-appkey>' \ --data ' { "request_id": "abc", "campaign_ids": [ "6643773d4fe37fe7a10b718e", "6645fbae1101e4c6611b15c7", "67c1cfc8c1b46a5ad5022de7" ], "start_date": "2024-12-22", "end_date": "2024-12-23", "attribution_type": "VIEW_THROUGH", "metric_type": "TOTAL" } '
{
  "response_id": "string",
  "total_campaigns": 1,
  "current_page": 1,
  "total_pages": 1,
  "data": {
    "66e933029ff25f3322d8279d": [
      {
        "platforms": {
          "android": {
            "locales": {
              "all_locales": {
                "variations": {
                  "all_variations": {
                    "performance_stats": {
                      "attempted": 2,
                      "sent": 2,
                      "failed": 0,
                      "impression": 2,
                      "click": 4,
                      "ctr": 200,
                      "delivery_rate": 100,
                      "sent_rate": 100,
                      "failure_rate": 0
                    },
                    "conversion_goal_stats": {
                      "Goal 1": {
                        "conversions": 0,
                        "cvr": 0,
                        "uplift": 0
                      }
                    },
                    "delivery_funnel": {
                      "reachable_users_in_segment": 2,
                      "segment_after_uninstall": 2,
                      "after_fc": 2,
                      "users_after_dup": 2,
                      "sent": 2,
                      "user_devices": 2,
                      "impressions": 2,
                      "active_device_token": 2
                    },
                    "failure_breakdown": {}
                  },
                  "campaign_control_group": {
                    "conversion_goal_stats": {
                      "Goal 1": {
                        "conversions": 0,
                        "cvr": 0,
                        "uplift": 0
                      }
                    },
                    "delivery_funnel": {
                      "reachable_users_in_segment": 0
                    },
                    "failure_breakdown": {
                      "user_removed_due_to_campaing_control_group": 1
                    }
                  },
                  "global_control_group": {
                    "conversion_goal_stats": {
                      "Goal 1": {
                        "conversions": 0,
                        "cvr": 0,
                        "uplift": 0
                      }
                    },
                    "delivery_funnel": {
                      "reachable_users_in_segment": 0
                    },
                    "failure_breakdown": {
                      "user_removed_due_to_global_control_group": 1
                    }
                  }
                }
              }
            }
          }
        }
      }
    ]
  }
}
Rate Limit: This API provides all version stats, and the call rate is limited to 100 API calls per minute per workspace.

Authentication Details

Navigate to Settings > Account > APIs in your dashboard.
  1. Username: Under Workspace ID, click the copy icon.
  2. Password: In the API keys section, copy the Campaign report API key.

Authorizations

Authorization
string
header
required

Basic Authentication using Workspace ID (username) and Campaign Report API Key (password).

Headers

MOE-APPKEY
string
required

This is the workspace ID (earlier APP ID) of your MoEngage workspace. Found in Settings -> Account -> APIs -> Workspace ID.

Body

application/json

Request body to fetch campaign stats.

request_id
string
required

This field shows the request ID created by a user. Helps to know the API calls made by the client.

start_date
string<date>
required

This field shows the start date of the campaign in YYYY-MM-DD format.

Example:

"2024-12-22"

end_date
string<date>
required

This field shows the campaign's end date in YYYY-MM-DD format. The days between the start and end dates should not exceed 30 days.

Example:

"2024-12-23"

attribution_type
enum<string>
required

This field shows the attribution type that should be picked to show conversion stats.

Available options:
VIEW_THROUGH,
CLICK_THROUGH,
IN_SESSION,
TOTAL_CONVERSIONS,
CLICK_CONVERSIONS
metric_type
enum<string>
required

This field shows the total or unique values of all the metrics.

Available options:
TOTAL,
UNIQUE
campaign_ids
string[]

This field shows the campaign IDs created, up to 10 max per call.

Maximum array length: 10
offset
integer
default:0

This field shows the position of a record in a dataset. The default value for the number of campaigns to skip is 0. For example, set the offset to 50 to see the data from page 51.

limit
integer
default:10

This field shows the maximum number of campaigns displayed on a page. The default and max limit is up to 10 campaigns.

Required range: x <= 10

Response

Successful response.

response_id
string

The response ID, which is the same as the request ID passed in the payload.

total_campaigns
integer

This field indicates the total number of campaigns that are requested in the payload.

current_page
integer

This field indicates the current page number.

total_pages
integer

This field indicates the total page. It is equal to the total campaigns, which is limited to 10 for each call and 10 to be displayed for each page.

data
object

This object contains the campaign stats. Keys are Campaign IDs.